Procedure OptionWindow()

   #Gadget_FullScreen        = 0
   #Gadget_Windowed          = 1
   #Gadget_Launch            = 2
   #Gadget_Cancel            = 3
   #Gadget_Logo              = 4
   #Gadget_Frame             = 5
   #Gadget_ScreenModes       = 6

   OpenPreferences("spartan.ini")
      FullScreen = ReadPreferenceLong("FullScreen", 1)
   ClosePreferences()
   
   OpenWindow(0, 0, 0, 397, 144, #PB_Window_ScreenCentered | #PB_Window_SystemMenu | #PB_Window_Invisible, "Spartan RPG Engine")    
   
   CreateGadgetList(WindowID())
   ImageGadget  (#Gadget_Logo, 6, 6, 0, 0, LoadImage(0,"images\logo.bmp"), #PB_Image_Border)
   Frame3DGadget(#Gadget_Frame, 6, 77, 386, 34, "", 0)
   OptionGadget(#Gadget_FullScreen, 18, 91, 93, 12, "FullScreen")
   OptionGadget(#Gadget_Windowed, 214, 91, 93, 12, "Windowed")
   ButtonGadget(#Gadget_Launch, 6, 114, 180, 25, "Launch", #PB_Button_Default)
   ButtonGadget(#Gadget_Cancel, 202, 114, 190, 25, "Cancel")
   
   SetGadgetState(#Gadget_FullScreen, FullScreen)
   SetGadgetState(#Gadget_Windowed, 1 - FullScreen)
   
   HideWindow(0,0)

   Repeat
      Event = WaitWindowEvent()
      Select Event
         Case #PB_Event_Gadget
            Select EventGadgetID()
               Case #Gadget_Launch
                  CreatePreferences("spartan.ini")
                     WritePreferenceLong  ("FullScreen", FullScreen) 
                  ClosePreferences()          
                  CloseWindow(0)
                  Screen3DRequester_FullScreen = FullScreen
                  If FullScreen
                     Result = OpenScreen(640, 480, 16, "Spartan RPG Engine")
                  Else
                     If OpenWindow(0, 0, 0, 640, 480, #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_ScreenCentered, "Spartan RPG Engine")
                        Result = OpenWindowedScreen(WindowID(), 0, 0, 640, 480, 1, 0, 0)
                     EndIf
                  EndIf
                  Quit = 1
               Case #Gadget_Cancel
                  End
               Case #Gadget_FullScreen
                  FullScreen = 1
               Case #Gadget_Windowed
                  FullScreen = 0
            EndSelect
         Case #PB_Event_CloseWindow
            End
      EndSelect
   Until EventGadgetID() = #Gadget_Launch
   
   ProcedureReturn Result
   
EndProcedure




; ExecutableFormat=Windows
; CursorPosition=43
; FirstLine=19
; EOF